<?php

function get_triplet_cartes(int $idplateau)
{
    return get_infos_requete("SELECT(
        SELECT
            COUNT(e.idcarte)
        FROM
            est_compose e
            JOIN carte c USING (idcarte)
            JOIN plateau p USING (idplateau)
            JOIN partie pa USING (idplateau)
        WHERE
            idplateau = $idplateau
            AND c.niveau LIKE 'verte'
    ) as nb_verte,
    (
        SELECT
            COUNT(e.idcarte)
        FROM
            est_compose e
            JOIN carte c USING (idcarte)
            JOIN plateau p USING (idplateau)
            JOIN partie pa USING (idplateau)
        WHERE
            idplateau = $idplateau
            AND c.niveau LIKE 'orange'
    ) as nb_orange,
    (
        SELECT
            COUNT(e.idcarte)
        FROM
            est_compose e
            JOIN carte c USING (idcarte)
            JOIN plateau p USING (idplateau)
            JOIN partie pa USING (idplateau)
        WHERE
            idplateau = $idplateau 
            AND c.niveau LIKE 'noire'
    ) as nb_noire")['instances'][0];
}

function get_nb_joueurs(int $idpartie)
{
    return get_infos_requete("SELECT COUNT(j.idjoueur) as nb FROM joueur j JOIN joue jo USING(idjoueur) JOIN partie p USING(idpartie) WHERE p.idpartie = $idpartie")['instances'][0];
}

function get_rang(int $idpartie)
{
    return get_infos_requete("SELECT jo. pseudo, j.rang FROM partie p JOIN joue j USING(idpartie) JOIN joueur jo USING(idjoueur) WHERE idpartie = $idpartie ORDER BY j.rang LIMIT 3")['instances'];
}

function get_pseudos(int $idpartie)
{
    return get_infos_requete("SELECT j.pseudo FROM joueur j JOIN joue jo USING(idjoueur) JOIN partie p USING(idpartie) WHERE p.idpartie = $idpartie")['instances'];
}

function get_plateau_id(int $idpartie) : int
{
    return get_infos_requete("SELECT idplateau FROM partie WHERE idpartie = $idpartie")['instances'][0]['idplateau'];
}
?>